aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--bitlbee.conf2
-rw-r--r--debian/changelog9
-rwxr-xr-xdebian/postinst7
3 files changed, 16 insertions, 2 deletions
diff --git a/bitlbee.conf b/bitlbee.conf
index 5fce2820..b87b4eaf 100644
--- a/bitlbee.conf
+++ b/bitlbee.conf
@@ -23,7 +23,7 @@
## If BitlBee is started by root as a daemon, it can drop root privileges,
## and change to the specified user.
##
-# User = bitlbee
+User = bitlbee
## DaemonPort/DaemonInterface:
##
diff --git a/debian/changelog b/debian/changelog
index fdff2d80..f1e25040 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,15 @@
+bitlbee (1.2.1-2) unstable; urgency=low
+
+ * Properly set the User= line to something sensible so BitlBee won't
+ run as root anymore. 1.2-5 was a bad upload. :-( (Closes: #494656)
+
+ -- Wilmer van der Gaast <wilmer@gaast.net> Tue, 12 Aug 2008 00:36:03 +0100
+
bitlbee (1.2.1-1.1) unstable; urgency=low
* Non-Maintainer Upload
* Use invoke-rc.d as per policy. (Closes: #492637) [Thanks to Matt
- Kraii]
+ Kraai]
-- Don Armstrong <don@debian.org> Wed, 06 Aug 2008 06:57:18 -0700
diff --git a/debian/postinst b/debian/postinst
index 1363bfb6..4f5711ba 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -63,6 +63,13 @@ if [ -e /usr/share/bitlbee/help.upgrading ]; then
fi
fi
+if ! grep -qi '^User *= *' /etc/bitlbee/bitlbee.conf; then
+ echo 'Updating configuration file, enabling User-setting...'
+ if ! sed -i -e 's/# *User *= *.*/User = bitlbee/i' /etc/bitlbee/bitlbee.conf; then
+ echo 'Failed! BitlBee may run as root now, please check your configs.'
+ fi
+fi
+
if [ -n "$2" -a "$BITLBEE_UPGRADE_DONT_RESTART" != "1" ]; then
if which invoke-rc.d >/dev/null 2>&1; then
invoke-rc.d bitlbee restart